---
title: to
slug: Web/SVG/Attribute/To
tags:
  - NeedsCompatTable
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p><span class="seoSummary">The <code><strong>to</strong></code> attribute indicates the final value of the attribute that will be modified during the animation.</span> The value of the attribute will change between the {{SVGAttr("from")}} attribute value and this value.</p>

<p>Five elements are using this attribute: {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateMotion")}}, {{SVGElement("animateTransform")}}, and {{SVGElement("set")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[4]">&lt;svg viewBox="0 0 200 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;rect x="10" y="10" width="100" height="100"&gt;
    &lt;animate attributeType="XML" attributeName="width" fill="freeze"
        from="100" to="150" dur="3s"/&gt;
  &lt;/rect&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "200", "200")}}</p>
</div>

<h2 id="animate_animateColor_animateMotion_animateTransform">animate, animateColor, animateMotion, animateTransform</h2>

<p>For {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateMotion")}}, and {{SVGElement("animateTransform")}}, <code>to</code> specifies the ending value of the animation.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;value&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<p>The exact value type for this attribute depend on the value of the attribute that will be animated.</p>

<p>If a list of values is defined via the {{SVGAttr("values")}} attribute, the <code>to</code> attribute is ignored.</p>

<h2 id="set">set</h2>

<p>For the {{SVGElement("set")}} element, <code>to</code> specifies the value for the attribute during the duration of the element.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;value&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<p>The exact value type for this attribute depend on the value of the attribute that will be animated.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#SetElementToAttribute", "to for &lt;set&gt;")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#ToAttribute", "to for &lt;animate&gt;, &lt;animateColor&gt;, &lt;animateMotion&gt;, and &lt;animateTransform&gt;")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "animate.html#SetElementToAttribute", "to for &lt;set&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;set&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "animate.html#ToAttribute", "to for &lt;animate&gt;, &lt;animateColor&gt;, &lt;animateMotion&gt;, and &lt;animateTransform&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;animate&gt;</code>, <code>&lt;animateColor&gt;</code>, <code>&lt;animateMotion&gt;</code>, and <code>&lt;animateTransform&gt;</code></td>
  </tr>
 </tbody>
</table>
